#
# spec file for package python-ZODB3
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2013 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-ZODB3
Version:        3.11.0
Release:        6.1
Summary:        ZODB3 - Meta release for ZODB, persistent, BTrees and ZEO
License:        ZPL-2.1
Group:          Development/Libraries/Python
Url:            http://www.zope.org/Products/ZODB3
Source:         https://pypi.python.org/packages/source/Z/ZODB3/ZODB3-%{version}.tar.gz

BuildRequires:  fdupes
BuildRequires:  python-BTrees >= 4.0.0
BuildRequires:  python-ZEO >= 4.0.0
BuildRequires:  python-ZODB >= 4.0.0
BuildRequires:  python-persistent >= 4.0.0
BuildRequires:  python-setuptools
BuildRequires:  python-transaction

Requires:       python-BTrees >= 4.0.0
Requires:       python-ZEO >= 4.0.0
Requires:       python-ZODB >= 4.0.0
Requires:       python-persistent >= 4.0.0
Requires:       python-setuptools
Requires:       python-transaction

# Testing requirements:
# no test rig provided

Provides:       python-zodb3 = %{version}
Obsoletes:      python-zodb3 < %{version}

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
The ZODB3 distribution is a "meta" distribution that requires projects: ZODB,
persistent, BTrees and ZEO, which, in the past, were included in the ZODB 3
project.

For more information on ZODB, persistent, BTrees, and ZEO, see the respective
project pages in PyPI:

    http://pypi.python.org/pypi/ZODB
    http://pypi.python.org/pypi/persistent
    http://pypi.python.org/pypi/BTrees
    http://pypi.python.org/pypi/ZEO

and http://zodb.org.

%prep
%setup -q -n ZODB3-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
%fdupes %{buildroot}%{python_sitelib}/

%check
python setup.py test

%files
%defattr(-,root,root)
%doc CHANGES.txt HISTORY.txt README.txt
%{python_sitelib}/*

%changelog
* Fri May 15 2015 benoit.monin@gmx.fr
- update to version 3.11.0:
  * No changes from ZODB3 3.11.0a3: this release just makes the
    meta-package version of ZODB3 installable by default under
    buldout 2.x.
- remove COPYRIGHT.txt and LICENSE.txt: not provided anymore
* Wed Aug  7 2013 hpj@urpla.net
- version 3.11.0a3: initial build
